com.verisign.epp.codec.launch

## Class EPPLaunchCreate

- java.lang.Object
- - com.verisign.epp.codec.launch.EPPLaunchCreate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPLaunchCreate
      extends java.lang.Object
      implements EPPCodecComponent

  Extension to the domain create command to create a launch phase application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the launch phase create extension local name
    `static java.lang.String` | `ELM_NAME` Constant for the launch phase info extension tag
    `static java.lang.String` | `TYPE_APPLICATION` Constant used to specify to create an application.
    `static java.lang.String` | `TYPE_REGISTRATION` Constant used to specify to create a registration.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchCreate()` Create an `EPPLaunchCreate` instance
    `EPPLaunchCreate(EPPLaunchPhase aPhase)` Create an `EPPLaunchCreate` instance with the required phase attribute.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPLaunchCodeMark aCodeMark)` Create a `EPPLaunchCreate` instance with the required phase and a single code mark.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPLaunchCodeMark aCodeMark, java.lang.String aType)` Create a `EPPLaunchCreate` instance with the required phase and a single code mark and the optional type.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPLaunchNotice aNotice)` Create a `EPPLaunchCreate` instance with the required phase and the claims notice information for Claims Create Form.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPLaunchNotice aNotice, java.lang.String aType)` Create a `EPPLaunchCreate` instance with the required phase and the claims notice information for Claims Create Form and optional type.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPSignedMark aSignedMark)` Create a `EPPLaunchCreate` instance with the required phase and a single signed mark.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, EPPSignedMark aSignedMark, java.lang.String aType)` Create a `EPPLaunchCreate` instance with the required phase and a single signed mark and optional type.
    `EPPLaunchCreate(EPPLaunchPhase aPhase, java.lang.String aType)` Create an `EPPLaunchCreate` instance with the required phase attribute and optional type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCodeMark(EPPLaunchCodeMark aCodeMark)`
    `void` | `addNotice(EPPLaunchNotice aNotice)` Adds a claims notice to the list of claims notices in Claims Create Form.
    `void` | `addSignedMark(EPPSignedMark aSignedMark)` Adds a signed mark to the list of signed marks.
    `void` | `clearNotices()` Clear the claim notices set.
    `java.lang.Object` | `clone()` Clone `EPPLaunchCreate`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the DOM element to the `EPPLaunchCreate`.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode the `EPPLaunchCreate` to a DOM Element
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchCreate` compare.
    `EPPLaunchCodeMark` | `getCodeMark()` Gets the code mark when using the Sunrise Create Form.
    `java.util.List<EPPLaunchCodeMark>` | `getCodeMarks()` Gets the list of code marks.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLaunchNotice` | `getNotice()` Gets the claims notice information in Claims Create Form.
    `java.util.List<EPPLaunchNotice>` | `getNotices()` Returns the list of notices.
    `EPPLaunchPhase` | `getPhase()` Gets phase associated with the create command.
    `EPPSignedMark` | `getSignedMark()` Gets the signed mark when using the Sunrise Create Form.
    `java.util.List<EPPSignedMark>` | `getSignedMarks()` Gets the list of signed marks.
    `java.lang.String` | `getType()` Gets the type of the object to create, which should be either `TYPE_APPLICATION`, `TYPE_REGISTRATION`, or `null` for undefined.
    `boolean` | `hasCodeMarks()` Are code marks defined?
    `boolean` | `hasNotice()` Is the claims notice defined?
    `boolean` | `hasSignedMarks()` Are signed marks defined?
    `boolean` | `hasType()` Is the type defined?
    `void` | `setCodeMark(EPPLaunchCodeMark aCodeMark)` Sets the code mark when using the Sunrise Create Form.
    `void` | `setCodeMarks(java.util.List<EPPLaunchCodeMark> aCodeMarks)` Sets the list of code marks.
    `void` | `setNotice(EPPLaunchNotice aNotice)` Sets the claims notice information in Claims Create Form.
    `void` | `setNotices(java.util.List<EPPLaunchNotice> aNotices)` Sets the list of notices.
    `void` | `setPhase(EPPLaunchPhase aPhase)` Sets the phase associated with the create command.
    `void` | `setPhase(java.lang.String aPhaseString)` Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
    `void` | `setSignedMark(EPPSignedMark aSignedMark)` Sets the signed mark when using the Sunrise Create Form.
    `void` | `setSignedMarks(java.util.List<EPPSignedMark> aSignedMarks)` Sets the list of signed marks.
    `void` | `setType(java.lang.String aType)` Sets the type of the object to create, with the default being `null` or undefined.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_APPLICATION

          public static final java.lang.String TYPE_APPLICATION

      Constant used to specify to create an application.
      See Also:
        Constant Field Values

    - #### TYPE_REGISTRATION

          public static final java.lang.String TYPE_REGISTRATION

      Constant used to specify to create a registration.
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the launch phase create extension local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the launch phase info extension tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchCreate

          public EPPLaunchCreate()

      Create an `EPPLaunchCreate` instance

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase)

      Create an `EPPLaunchCreate` instance with the required phase attribute.
      Parameters:
        `aPhase` - Phase associated with the create.

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 java.lang.String aType)

      Create an `EPPLaunchCreate` instance with the required phase attribute and optional type.
      Parameters:
        `aPhase` - Phase associated with the create.
        `aType` - Type of object to create (`TYPE_APPLICATION` or `TYPE_REGISTRATION`)

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPSignedMark aSignedMark)

      Create a `EPPLaunchCreate` instance with the required phase and a single signed mark.
      Parameters:
        `aPhase` - Phase of the create
        `aSignedMark` - Signed mark used with Sunrise Create Form

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPSignedMark aSignedMark,
                                 java.lang.String aType)

      Create a `EPPLaunchCreate` instance with the required phase and a single signed mark and optional type.
      Parameters:
        `aPhase` - Phase of the create
        `aSignedMark` - Signed mark used with Sunrise Create Form
        `aType` - Type of object to create (`TYPE_APPLICATION` or `TYPE_REGISTRATION`)

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPLaunchCodeMark aCodeMark)

      Create a `EPPLaunchCreate` instance with the required phase and a single code mark.
      Parameters:
        `aPhase` - Phase of the create
        `aCodeMark` - Code mark used with Sunrise Create Form

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPLaunchCodeMark aCodeMark,
                                 java.lang.String aType)

      Create a `EPPLaunchCreate` instance with the required phase and a single code mark and the optional type.
      Parameters:
        `aPhase` - Phase of the create
        `aCodeMark` - Code mark used with Sunrise Create Form
        `aType` - Type of object to create (`TYPE_APPLICATION` or `TYPE_REGISTRATION`)

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPLaunchNotice aNotice)

      Create a `EPPLaunchCreate` instance with the required phase and the claims notice information for Claims Create Form.
      Parameters:
        `aPhase` - Phase of the create
        `aNotice` - Claims notice information

    - #### EPPLaunchCreate

          public EPPLaunchCreate(EPPLaunchPhase aPhase,
                                 EPPLaunchNotice aNotice,
                                 java.lang.String aType)

      Create a `EPPLaunchCreate` instance with the required phase and the claims notice information for Claims Create Form and optional type.
      Parameters:
        `aPhase` - Phase of the create
        `aNotice` - Claims notice information
        `aType` - Type of object to create (`TYPE_APPLICATION` or `TYPE_REGISTRATION`)

  - ### Method Detail

    - #### hasType

          public boolean hasType()

      Is the type defined?
      Returns:
        `true` if the type is defined; `false` otherwise.

    - #### getType

          public java.lang.String getType()

      Gets the type of the object to create, which should be either `TYPE_APPLICATION`, `TYPE_REGISTRATION`, or `null` for undefined.
      Returns:
        `TYPE_APPLICATION`, `TYPE_REGISTRATION`, or `null` for undefined.

    - #### setType

          public void setType(java.lang.String aType)

      Sets the type of the object to create, with the default being `null` or undefined.
      Parameters:
        `aType` - Type of object to create.

    - #### getPhase

          public EPPLaunchPhase getPhase()

      Gets phase associated with the create command.
      Returns:
        phase associated with the create if defined; `null` otherwise.

    - #### setPhase

          public void setPhase(EPPLaunchPhase aPhase)

      Sets the phase associated with the create command.
      Parameters:
        `aPhase` - Phase associated with the create.

    - #### setPhase

          public void setPhase(java.lang.String aPhaseString)

      Sets the phase with one of the `EPPLaunchPhase` `PHASE` constants.
      Parameters:
        `aPhaseString` - One of the `EPPLaunchPhase` `PHASE` constants.

    - #### hasSignedMarks

          public boolean hasSignedMarks()

      Are signed marks defined?
      Returns:
        `true` if signed marks are defined; `false` otherwise.

    - #### getSignedMarks

          public java.util.List<EPPSignedMark> getSignedMarks()

      Gets the list of signed marks.
      Returns:
        List of signed marks if set; `null` otherwise.

    - #### setSignedMarks

          public void setSignedMarks(java.util.List<EPPSignedMark> aSignedMarks)

      Sets the list of signed marks.
      Parameters:
        `aSignedMarks` - List of signed marks

    - #### getSignedMark

          public EPPSignedMark getSignedMark()

      Gets the signed mark when using the Sunrise Create Form.
      Returns:
        Signed mark if defined; `null` otherwise.

    - #### setSignedMark

          public void setSignedMark(EPPSignedMark aSignedMark)

      Sets the signed mark when using the Sunrise Create Form.
      Parameters:
        `aSignedMark` - Signed mark when using Sunrise Create Form

    - #### addSignedMark

          public void addSignedMark(EPPSignedMark aSignedMark)

      Adds a signed mark to the list of signed marks.
      Parameters:
        `aSignedMark` - Signed mark to add to the list of signed marks.

    - #### hasCodeMarks

          public boolean hasCodeMarks()

      Are code marks defined?
      Returns:
        `true` if code marks are defined; `false` otherwise.

    - #### getCodeMarks

          public java.util.List<EPPLaunchCodeMark> getCodeMarks()

      Gets the list of code marks.
      Returns:
        List of code marks if set; `null` otherwise.

    - #### setCodeMarks

          public void setCodeMarks(java.util.List<EPPLaunchCodeMark> aCodeMarks)

      Sets the list of code marks.
      Parameters:
        `aCodeMarks` - List of code marks

    - #### getCodeMark

          public EPPLaunchCodeMark getCodeMark()

      Gets the code mark when using the Sunrise Create Form.
      Returns:
        Code mark if defined; `null` otherwise.

    - #### setCodeMark

          public void setCodeMark(EPPLaunchCodeMark aCodeMark)

      Sets the code mark when using the Sunrise Create Form.
      Parameters:
        `aCodeMark` - Code mark when using Sunrise Create Form

    - #### addCodeMark

          public void addCodeMark(EPPLaunchCodeMark aCodeMark)

    - #### hasNotice

          public boolean hasNotice()

      Is the claims notice defined?
      Returns:
        `true` if the claims notice is defined; `false` otherwise.

    - #### getNotice

          public EPPLaunchNotice getNotice()

      Gets the claims notice information in Claims Create Form.
      Returns:
        Claims notice information if set; `null` otherwise.

    - #### clearNotices

          public void clearNotices()

      Clear the claim notices set. The result will be an empty claim notice list.

    - #### setNotice

          public void setNotice(EPPLaunchNotice aNotice)

      Sets the claims notice information in Claims Create Form.
      Parameters:
        `aNotice` - Claims notice information.

    - #### getNotices

          public java.util.List<EPPLaunchNotice> getNotices()

      Returns the list of notices.
      Returns:
        List of notices; empty list if no notices set.

    - #### setNotices

          public void setNotices(java.util.List<EPPLaunchNotice> aNotices)

      Sets the list of notices.
      Parameters:
        `aNotices` - Notices to set. If `aNotices` is `null` the list will be set to the empty list.

    - #### addNotice

          public void addNotice(EPPLaunchNotice aNotice)

      Adds a claims notice to the list of claims notices in Claims Create Form.
      Parameters:
        `aNotice` - Claims notice information.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchCreate`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchCreate`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode the `EPPLaunchCreate` to a DOM Element
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - a DOM Document to attach data to.
      Returns:
        The root element of this component.
      Throws:
        `EPPEncodeException` - Thrown if any errors prevent encoding.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the DOM element to the `EPPLaunchCreate`.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - DOM Element to decode the attribute values
      Throws:
        `EPPDecodeException` - Error decoding the DOM Element

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPLaunchCreate` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchCreate` instance to compare with
      Returns:
        true if equal false otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.